Skip to main content
POST
/
transfer-targets
Create Transfer Target
curl --request POST \
  --url https://api.example.com/transfer-targets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "target": "<string>",
  "mode": "warm",
  "sip_trunk_id": "<string>",
  "sip_headers": {},
  "briefing_prompt": "<string>",
  "transfer_announcement": "<string>",
  "tags": [
    "<string>"
  ],
  "enabled": true
}
'
import requests

url = "https://api.example.com/transfer-targets"

payload = {
    "name": "<string>",
    "target": "<string>",
    "mode": "warm",
    "sip_trunk_id": "<string>",
    "sip_headers": {},
    "briefing_prompt": "<string>",
    "transfer_announcement": "<string>",
    "tags": ["<string>"],
    "enabled": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    target: '<string>',
    mode: 'warm',
    sip_trunk_id: '<string>',
    sip_headers: {},
    briefing_prompt: '<string>',
    transfer_announcement: '<string>',
    tags: ['<string>'],
    enabled: true
  })
};

fetch('https://api.example.com/transfer-targets', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "owner_id": "<string>",
  "name": "<string>",
  "target": "<string>",
  "mode": "<string>",
  "sip_trunk_id": "<string>",
  "sip_headers": {},
  "briefing_prompt": "<string>",
  "transfer_announcement": "<string>",
  "tags": [
    "<string>"
  ],
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Friendly name (e.g. 'Billing').

Required string length: 1 - 160
target
string
required

E.164 number, sip: URI, or LiveKit identity.

Required string length: 3 - 255
mode
string
default:warm

warm | cold

sip_trunk_id
string | null
sip_headers
Sip Headers · object | null
briefing_prompt
string | null
transfer_announcement
string | null
tags
string[] | null
enabled
boolean
default:true

Response

Successful Response

id
string
required
owner_id
string
required
name
string
required
target
string
required
mode
string
required
sip_trunk_id
string | null
required
sip_headers
Sip Headers · object | null
required
briefing_prompt
string | null
required
transfer_announcement
string | null
required
tags
string[] | null
required
enabled
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required